OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000686OMNeT++simulation kernelpublic2013-11-18 09:542013-12-18 11:52
Reporterrhornig 
Assigned Torhornig 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.3 
Target VersionFixed in Version4.4 
Summary0000686: Omnet does not compile with -DUSE_NAMESPACE
DescriptionAs the title suggests, namespace support is broken currently (and undocumented). If we choose to support it officially, we have to document it and add a test to the test suite.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000864)
rhornig (administrator)
2013-12-18 11:52

It is now possible to put the OMNeT++ APIs into the 'omnetpp::' namespace by adding the -DUSE_NAMESPACE macro to the CXXFLAGS variable in the Makefile.inc file. Additionaly, specifying the -DAUTOIMPORT_NAMESPACE will automatically import the OMNeT++ APIs so you don't have to specify the 'omnetpp::' namespace prefix in your model code. (i.e. your models will compile without any changes to the source.)

- Issue History
Date Modified Username Field Change
2013-11-18 09:54 rhornig New Issue
2013-12-12 11:58 rhornig Priority normal => high
2013-12-12 15:16 rhornig Assigned To => rhornig
2013-12-12 15:16 rhornig Status new => in work
2013-12-18 11:52 rhornig Note Added: 0000864
2013-12-18 11:52 rhornig Status in work => resolved
2013-12-18 11:52 rhornig Fixed in Version => 4.4
2013-12-18 11:52 rhornig Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker